Vulnerability Name:

CVE-2017-18120

Assigned:2018-02-01
Published:2017-10-16
Updated:2018-02-14
Summary:A double-free bug in the read_gif function in gifread.c in gifsicle 1.90 allows a remote attacker to cause a denial-of-service attack or unspecified other impact via a maliciously crafted file, because last_name is mishandled, a different vulnerability than CVE-2017-1000421.
CVSS v3 Severity:7.8 High (CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
6.8 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
5.5 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H)
4.8 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
CVSS v2 Severity:6.8 Medium (CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
4.6 Medium (CCN CVSS v2 Vector: AV:L/AC:L/Au:S/C:N/I:N/A:C)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Complete
Vulnerability Type:CWE-415
References:Source: MISC
Type: VENDOR_ADVISORY
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=878739

Source: MISC
Type: VENDOR_ADVISORY
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=881120

Source: XF
Type: UNKNOWN
gifsicle-cve201718120-dos(138612)

Source: MISC
Type: VENDOR_ADVISORY
https://github.com/kohler/gifsicle/commit/118a46090c50829dc543179019e6140e1235f909

Source: MISC
Type: VENDOR_ADVISORY
https://github.com/kohler/gifsicle/issues/117

Vulnerable Configuration:Configuration 1:
  • cpe:/a:gifsicle_project:gifsicle:1.90:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:com.ubuntu.trusty:def:201718120000
    V
    CVE-2017-18120 on Ubuntu 14.04 LTS (trusty) - untriaged.
    2018-02-02
    oval:com.ubuntu.xenial:def:201718120000
    V
    CVE-2017-18120 on Ubuntu 16.04 LTS (xenial) - untriaged.
    2018-02-02
    oval:com.ubuntu.artful:def:201718120000
    V
    CVE-2017-18120 on Ubuntu 17.10 (artful) - untriaged.
    2018-02-02
    BACK
    gifsicle_project gifsicle 1.90